Bug 157948 - [PATCH] devel/py27-Ice: update to 3.4.2
Summary: [PATCH] devel/py27-Ice: update to 3.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Julien Laffaye
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-17 15:20 UTC by Michael Gmelin
Modified: 2011-06-28 14:50 UTC (History)
1 user (show)

See Also:


Attachments
py27-Ice-3.4.2.patch (1.18 KB, patch)
2011-06-17 15:20 UTC, Michael Gmelin
no flags Details | Diff
py-ice-update341to342final.patch.txt (1.56 KB, text/plain)
2011-06-17 17:58 UTC, Michael Gmelin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2011-06-17 15:20:08 UTC
- Update to 3.4.2

This depends on upgarding devel/ice as well, so make sure ports/157947 (http://www.freebsd.org/cgi/query-pr.cgi?pr=157947) is approved first.

Port maintainer (tonymaher@optusnet.com.au) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-06-17 15:20:17 UTC
Maintainer of devel/py-ice,

Please note that PR ports/157948 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157948

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-06-17 15:20:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Gmelin 2011-06-17 17:58:58 UTC
On Jun 17, 2011, at 16:20, FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/157948'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=157948
> 
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       [PATCH] devel/py27-Ice: update to 3.4.2
>> Arrival-Date:   Fri Jun 17 14:20:08 UTC 2011


There patch in the PR was missing a change in Makefile (IMHO the way LIB_VRS is computed should be changed to a real split or just a constant). Supplied the maintainer with a corrected version of the patch:
Comment 4 tonymaher 2011-06-19 06:53:31 UTC
patches work fine for me.  Please commit.

thanks
-- 
Tony Maher                    email: tonymaher@optusnet.com.au
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2011-06-19 16:45:46 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Julien Laffaye freebsd_committer 2011-06-27 20:35:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jlaffaye

I'll take it.
Comment 7 Julien Laffaye freebsd_committer 2011-06-28 07:56:58 UTC
State Changed
From-To: open->feedback

Does not build. 
Please see http://people.freebsd.org/~jlaffaye/py-Ice.log
Comment 8 Michael Gmelin 2011-06-28 11:49:14 UTC
On Jun 28, 2011, at 08:57, jlaffaye@FreeBSD.org wrote:

> Synopsis: [PATCH] devel/py27-Ice: update to 3.4.2
>=20
> State-Changed-From-To: open->feedback
> State-Changed-By: jlaffaye
> State-Changed-When: Tue Jun 28 08:56:58 CEST 2011
> State-Changed-Why:=20
> Does not build.
> Please see http://people.freebsd.org/~jlaffaye/py-Ice.log
>=20
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D157948

This port requires files installed by devel/ice, therefore the =
dependency. You've built it with NO_DEPENDS=3Dyes + a different PREFIX, =
therefore the necessary files are missing - this SHOULD be in =
PREFIX/share/Ice. This has been the same on 3.4.1 as well (just tried =
this) and expected of course - so the update didn't make anything worse. =
So if you want to test the build, either don't set NO_DEPENDS, or =
install devel/ice under the same PREFIX manually first. Also make sure =
you're using devel/ice version 3.4.2 (as stated in the PR) because those =
have to be in sync (see also =
http://www.freebsd.org/cgi/query-pr.cgi?pr=3D157947).

If you disagree with the overall structure of this port (also =
historically) please discuss with the maintainer - but I think it makes =
sense for the port to depend on the main Ice port instead of building =
and installing conflicting files.

Thanks
Michael=
Comment 9 dfilter service freebsd_committer 2011-06-28 14:46:16 UTC
miwi        2011-06-28 13:46:02 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-ice         Makefile distinfo 
  Log:
  - Update to 3.4.2
  
  PR:             157948
  Submitted by:   Michael Gmelin <freebsd@grem.de>
  
  Revision  Changes    Path
  1.18      +3 -4      ports/devel/py-ice/Makefile
  1.9       +2 -3      ports/devel/py-ice/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Martin Wilke freebsd_committer 2011-06-28 14:47:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!